/**
 * Returns canonical list of Aggregations, i.e. with deprecated "rows" removed
 * @deprecated use MLv2
 */
export function getAggregations(aggregation: any): any[];
/**
 * @deprecated use MLv2
 */
export function addAggregation(aggregation: any, newAggregation: any): any;
/**
 * @deprecated use MLv2
 */
export function updateAggregation(aggregation: any, index: any, updatedAggregation: any): any;
/**
 * @deprecated use MLv2
 */
export function removeAggregation(aggregation: any, index: any): any;
/**
 * @deprecated use MLv2
 */
export function isBareRows(ac: any): boolean;
/**
 * @deprecated use MLv2
 */
export function isStandard(aggregation: any): boolean;
/**
 * @deprecated use MLv2
 */
export function isMetric(aggregation: any): boolean;
/**
 * @deprecated use MLv2
 */
export function isCustom(aggregation: any): boolean;
/**
 * @deprecated use MLv2
 */
export function getContent(aggregation: any): any;
/**
 * @deprecated use MLv2
 */
export function isNamed(aggregation: any): boolean;
/**
 * @deprecated use MLv2
 */
export function getName(aggregation: any): any;
/**
 * @deprecated use MLv2
 */
export function setName(aggregation: any, name: any): any[];
/**
 * @deprecated use MLv2
 */
export function getMetric(aggregation: any): any;
/**
 * Get the operator from a standard aggregation clause
 * @deprecated use MLv2
 */
export function getOperator(aggregation: any): any;
/**
 * Set the fieldId on a standard aggregation clause
 * @deprecated use MLv2
 */
export function setField(aggregation: any, fieldRef: any): any;
/**
 * @deprecated use MLv2
 */
export function isRows(aggregation: any): any;
